Subject: RE: bug#12583: latest org-mode changes exposes bug in `comment-forward'in newcomment.el

From: "Drew Adams" <[email-masked]>
Date: Sat, 6 Oct 2012 09:57:29 -0700

> > OK, thanks.  Please consider providing specific guidelines 
> > about this, somewhere.
> 
> I think the guideline "commands that use comment-* functions 
> should call c-n-v first" is a good approximation.

Then please put that guideline somewhere.  (Currently, the doc string mentions
only autoloaded functions in newcomment.el.)

IOW, I've gotten the message, but this is not obvious, so please help other
users by pointing this out somewhere.

> > OK, so it was only for a transition.  Presumably that means 
> > that some of those autoloads will be removed at some point.
> 
> Except that I don't know how to mark obsolete the auto-loading of
> a variable, so the transition would be just as abrupt now as it would
> have been then.  I guess we can remove autoloads one at a time
> and see when someone screams.

I see.  Is this what is done whenever something that was formerly preloaded gets
moved to a library that is not preloaded?

To be clear, it doesn't bother me that we autoload something that you might
consider extra.  I'm just pointing this out as an apparent exception - a place
where you might want to take a second look (which you've now done).